<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?php

//INSERE O QUE O USUARIO FAZ NAS HORAS DE LAZER


for($i=0; $i<sizeof($horalazerusuario); $i=$i+1){
   $m= $horalazerusuario[$i];
   $sql = "INSERT INTO cultura.usuariolazer
           (codigousuario, tipolazer, idpessoa)
    		VALUES ($codigousuario, $m, $idpessoa)";
    		
	$sql = retiraAcentos($sql);
	$result = pg_query($dbh, $sql);
	if (!$result)
	{
	die(pg_last_error());
	   $result = pg_query($dbh, "ROLLBACK");
	   if (!$result)
	   {
	      $erroFatal = "Erro em Transa��o Interna do Sistema - Informar Administrador";
	      $SESSION["f_retornoFatal"] = $erroFatal;
	   }
	   $erro = "Erro na Gravacao das Horas de Lazer do usuario";
	   $_SESSION["f_retorno"]= $erro;
	   pg_close($dbh);
       if ($acaoRequerida == "atualizar")
       {
         header('location:cadastro.php?reacao=retorno&acao=atualizar&'.$p);
       }
       else
       {
         header('location:cadastro.php?reacao=retorno&acao=cadastrar&'.$p);
       }
	   exit;
	}
}

// insere o historico de lazer usuario

for($i=0; $i<sizeof($horalazerusuario); $i=$i+1){
	$sql = "INSERT INTO cultura.historicousuariolazer(
            codigousuario, dataatualizacao,tipolazer, idpessoa)
    		VALUES ('$codigousuario', now(), $horalazerusuario[$i], $idpessoa)";
    		
	$sql = retiraAcentos($sql);
	$result = pg_query($dbh, $sql);

	if (!$result)
	{
	   $result = pg_query($dbh, "ROLLBACK");
	   if (!$result)
	   {
	      $erroFatal = "Erro em Transa��o Interna do Sistema - Informar Administrador";
	      $SESSION["f_retornoFatal"] = $erroFatal;
	   }
	   $erro = "Erro na Gravacao do Historico Horas de Lazer do usuario";
	   $_SESSION["f_retorno"]= $erro;
	   pg_close($dbh);
       if ($acaoRequerida == "atualizar")
       {
         header('location:cadastro.php?reacao=retorno&acao=atualizar&'.$p);
       }
       else
       {
         header('location:cadastro.php?reacao=retorno&acao=cadastrar&'.$p);
       }
	   exit;
	}
}

?>
